package com.malk.kuaikeli.schedule;

import com.malk.kuaikeli.service.KKLService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

/**
 * @EnableScheduling 开启定时任务 [配置参考McScheduleTask]
 */
@Slf4j
@Configuration
@EnableScheduling
@ConditionalOnProperty(name = {"spel.scheduling"})
public class ScheduleTask {

    @Autowired
    private KKLService kklService;

    /**
     * 周一凌晨1点同步 (即周日后生效)
     */
    @Scheduled(cron = "0 0 1 * * 1")
    public void syncDingTalkFailedList() {
        try {
            kklService.syncPrice();
        } catch (Exception e) {
            // 记录错误信息
            e.printStackTrace();
        }
    }
}